msgpack::adaptor::object< signed int > Struct Template Reference

`#include <int.hpp>`

## Public Member Functions

void | operator() (msgpack::object &o, signed int v) const

## Member Function Documentation

## operator()()

void msgpack::adaptor::object< signed int >::operator() | ( | msgpack::object< signed int > & | o,
|  | signed int | v
| ) |  | const

inline

References msgpack::object::union_type::i64, msgpack::type::NEGATIVE_INTEGER, msgpack::type::POSITIVE_INTEGER, msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/int.hpp